Bug 311224 - Syndication GUI is not user friendly
Summary: Syndication GUI is not user friendly
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 21:06 UTC by asmerm
Modified: 2013-03-10 10:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
qbittorrent screenshot (116.85 KB, image/png)
2012-12-05 21:26 UTC, asmerm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description asmerm 2012-12-05 21:06:10 UTC
Please make RSS syndication GUI to look like in qBitTorrent application. Easy to use and nice navigate. Current implementation of RSS GUI is not user friendly.

Reproducible: Always

Steps to Reproduce:
1. Start kTorrent and enable Syndication plugin
2. Go to syndication
3. Start qbittorrent and compare implementations of both RSS GUI's.
Actual Results:  
See description and steps to reproduce.
Comment 1 asmerm 2012-12-05 21:26:57 UTC
Created attachment 75647 [details]
qbittorrent screenshot

This looks similar to akregator GUI.
Comment 2 Joris Guisson 2012-12-08 10:21:27 UTC
Not user friendly in what way ?
Comment 3 asmerm 2012-12-08 12:41:41 UTC
Well, see attached screenshot from qbittorrent app.
There you can see that RSS feeds are organized similar to akregator (list on the left, articles on top right, selected article content on bottom right). There is no need to open feeds in tabs, just use it as a regular RSS reader.
Comment 4 asmerm 2012-12-08 12:43:53 UTC
BTW, if someone needs me to test changes for this improvement, just send me compiled binaries for x64 platform, and I'll report results.
Comment 5 Joris Guisson 2012-12-21 15:15:29 UTC
Git commit ccf8afa988fee5e7ad86d84763dc52e243add0a3 by Joris Guisson.
Committed on 20/12/2012 at 11:22.
Pushed by guisson into branch 'master'.

Revamp syndication plugin interface and add support for torrent elements from namespace (http://xmlns.ezrss.it/0.1/) within the rss item element

M  +108  -97   plugins/logviewer/logviewer.cpp
M  +3    -1    plugins/syndication/CMakeLists.txt
M  +474  -458  plugins/syndication/feed.cpp
M  +152  -148  plugins/syndication/feed.h
M  +32   -31   plugins/syndication/feedlistview.cpp
M  +27   -27   plugins/syndication/feedlistview.h
M  +221  -113  plugins/syndication/feedwidget.cpp
M  +44   -34   plugins/syndication/feedwidget.h
M  +183  -147  plugins/syndication/feedwidget.ui
M  +152  -128  plugins/syndication/feedwidgetmodel.cpp
M  +32   -32   plugins/syndication/feedwidgetmodel.h
M  +2    -1    plugins/syndication/filtereditor.cpp
M  +206  -206  plugins/syndication/linkdownloader.cpp
M  +246  -329  plugins/syndication/syndicationactivity.cpp
M  +42   -48   plugins/syndication/syndicationactivity.h
M  +78   -83   plugins/syndication/syndicationplugin.cpp
M  +0    -1    plugins/syndication/syndicationplugin.h
M  +0    -2    plugins/syndication/syndicationtab.cpp

http://commits.kde.org/ktorrent/ccf8afa988fee5e7ad86d84763dc52e243add0a3
Comment 6 asmerm 2012-12-22 18:12:40 UTC
Great! I can test new plugin and do some verifications/regression testing if needed. Where do i find new binaries, or should I just wait for new KDE updates?
Comment 7 asmerm 2013-03-10 09:48:11 UTC
How can I confirm that fix is working?
I updated ktorrent from official kubuntu repositories, and GUI is same as before. No changes are visible.
Currently using KTorrent
Version 4.2.1
Using KDE Development Platform 4.10.1
Comment 8 Jekyll Wu 2013-03-10 10:54:06 UTC
> Version 4.2.1

The fix is only on the master branch, and 4.2.1 was even released long before that fix (compare the dates).  So you need to build ktorrent from git master to try the improvement.